Retrieve a delta
Returns contracts that have changed since the last delta token.
Caution
Read the Delta page. There is important information on required implementation!
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/contracts?delta
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-contracts.read
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Unique identifier for the contract record. |
person.id |
integer | — | Read-only | Internal ID of the person. |
code |
string | — | Read-only | The contract code. |
from |
string | — | Read-only | Start date of the contract for when it’s active. |
until |
string | — | Read-only | End date of the contract. |
contractHoursInMinutes |
integer | — | Read-only | Contracted hours in minutes. |
fullTimeEquivalentInMinutes |
integer | — | Read-only | The equivalent in minutes for a full-time contract. |
contractPercentage |
number | — | Read-only | Percentage of full-time contract. |
numberOfWorkingDaysPerWeek |
integer | — | Read-only | The number of working days per week. |
numberOfDaysInContractPeriod |
integer | — | Read-only | The number of days in the contract period. |
kind |
string | — | Read-only | The kind of contract (Contract, Addendum). |
parentContract.id |
integer | — | Read-only | Identifier of the parent contract. |
Filters
No filters are available for this endpoint.
Note
The person filter cannot be used with the delta endpoint.
External references
The endpoint supports predefined and custom external references. See the external references page for details and the predefined options list.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
contracts |
Not available | Supported |
people |
@badge-number, @employee-number |
Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid filter or delta token combined with person filter |
401 |
Missing or invalid access token, or insufficient scope |
410 |
Delta token has expired (older than 72 hours) |
414 |
Request URI too long |
Examples
Retrieving delta changes for contracts
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/contracts?delta